summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rw-r--r--source/l/FTBFSlog3
-rwxr-xr-xsource/l/libgsf/libgsf.SlackBuild11
-rwxr-xr-xsource/l/neon/neon.SlackBuild2
-rw-r--r--source/l/neon/neon.url2
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild2
-rw-r--r--source/l/serf/serf.SConstruct.python3.diff24
-rwxr-xr-xsource/l/serf/serf.SlackBuild3
7 files changed, 41 insertions, 6 deletions
diff --git a/source/l/FTBFSlog b/source/l/FTBFSlog
index ad0a7b630..ecf14cab4 100644
--- a/source/l/FTBFSlog
+++ b/source/l/FTBFSlog
@@ -1,3 +1,6 @@
+Wed Mar 25 19:00:00 UTC 2020
+ serf: fix for python3 based scons. Thanks to nobodino and ponce.
++--------------------------+
Tue Jan 14 18:38:45 UTC 2020
libplist: added export PYTHONWARNINGS=ignore:::pkg_resources.py2_warn
to avoid a fatal warning about Python 2.7 EOL. At least this new
diff --git a/source/l/libgsf/libgsf.SlackBuild b/source/l/libgsf/libgsf.SlackBuild
index 20824fdac..e99b9b369 100755
--- a/source/l/libgsf/libgsf.SlackBuild
+++ b/source/l/libgsf/libgsf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2018, 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libgsf
-VERSION=${VERSION:-$(echo libgsf-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo libgsf-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -67,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf libgsf-$VERSION
-tar xvf $CWD/libgsf-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/libgsf-$VERSION.tar.?z || exit 1
cd libgsf-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,12 +76,17 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+if [ ! -r configure ]; then
+ NOCONFIGURE=1 ./autogen.sh
+fi
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var/lib \
+ --enable-gtk-doc \
--with-html-dir=/usr/share/gtk-doc/html \
--mandir=/usr/man \
--disable-static \
diff --git a/source/l/neon/neon.SlackBuild b/source/l/neon/neon.SlackBuild
index 0d7becd37..10d9b2e1b 100755
--- a/source/l/neon/neon.SlackBuild
+++ b/source/l/neon/neon.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=neon
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/neon/neon.url b/source/l/neon/neon.url
index e250f239e..66d887747 100644
--- a/source/l/neon/neon.url
+++ b/source/l/neon/neon.url
@@ -1 +1 @@
-https://fossies.org/linux/www/neon-0.30.2.tar.gz
+http://www.webdav.org/neon
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index 58439f31e..4ec23c9c9 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -31,7 +31,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
diff --git a/source/l/serf/serf.SConstruct.python3.diff b/source/l/serf/serf.SConstruct.python3.diff
new file mode 100644
index 000000000..144f5e39e
--- /dev/null
+++ b/source/l/serf/serf.SConstruct.python3.diff
@@ -0,0 +1,24 @@
+--- serf-1.3.9/SConstruct.orig 2019-07-26 17:49:30.910189251 +0000
++++ serf-1.3.9/SConstruct 2019-07-26 17:49:54.073821735 +0000
+@@ -163,9 +163,9 @@
+ suffix='.def', src_suffix='.h')
+ })
+
+-match = re.search('SERF_MAJOR_VERSION ([0-9]+).*'
+- 'SERF_MINOR_VERSION ([0-9]+).*'
+- 'SERF_PATCH_VERSION ([0-9]+)',
++match = re.search(b'SERF_MAJOR_VERSION ([0-9]+).*'
++ b'SERF_MINOR_VERSION ([0-9]+).*'
++ b'SERF_PATCH_VERSION ([0-9]+)',
+ env.File('serf.h').get_contents(),
+ re.DOTALL)
+ MAJOR, MINOR, PATCH = [int(x) for x in match.groups()]
+@@ -183,7 +183,7 @@
+
+ unknown = opts.UnknownVariables()
+ if unknown:
+- print 'Warning: Used unknown variables:', ', '.join(unknown.keys())
++ print ('Warning: Used unknown variables:', ', '.join(unknown.keys()))
+
+ apr = str(env['APR'])
+ apu = str(env['APU'])
diff --git a/source/l/serf/serf.SlackBuild b/source/l/serf/serf.SlackBuild
index a1a8df3bc..fef6ca521 100755
--- a/source/l/serf/serf.SlackBuild
+++ b/source/l/serf/serf.SlackBuild
@@ -85,6 +85,9 @@ find . \
sed -i "/Default/s:lib_static,::" SConstruct
sed -i "/Alias/s:install_static,::" SConstruct
+# Fix for python3 based scons:
+zcat $CWD/serf.SConstruct.python3.diff.gz | patch -p1 --verbose || exit 1
+
scons $NUMJOBS \
PREFIX=/usr \
LIBDIR=/usr/lib${LIBDIRSUFFIX} \